package com.tzld.piaoquan.growth.common.common.base;

public class CommonLogRequest<T> {


    /**
     * 基础信息
     */
    BaseLogInfoDTO baseInfo;
    /**
     * 请求参数
     */
    T detail;


    public BaseLogInfoDTO getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(BaseLogInfoDTO baseInfo) {
        this.baseInfo = baseInfo;
    }

    public T getDetail() {
        return detail;
    }

    public void setDetail(T detail) {
        this.detail = detail;
    }

    @Override
    public String toString() {
        return "CommonRequest{" + "baseInfo=" + baseInfo + ", params=" + detail + '}';
    }

}